<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link type="text/css" rel="stylesheet" href="synthmod.css" />
<title>Modèle de synthese modale</title>
</head>

<body>
<h1><xsl:value-of select="modele/entete/@titre"/></h1>
<h2>Modèle de synthèse modale</h2>
<div style="width:600px;  border:2px solid blue;">
Titre : <b><xsl:value-of select="modele/entete/@titre"/></b><br/>
Auteur : <b><xsl:value-of select="modele/entete/@auteur"/></b><br/>
Nombre de partiels : <xsl:value-of select="modele/modes/@nbmod"/><br/>
Description :<br/>
<div id="desc"><xsl:value-of select="modele/entete/desc"/></div>
</div>
<h2>Partiels</h2>
<table width="600" border="1" cellspacing="0" cellpadding="0">
  <tr>
    <th scope="col">Fréquence</th>
    <th scope="col">Amortissement</th>
    <th scope="col">Poids</th>
  </tr>
  <xsl:for-each select="modele/modes/partiel">
   <tr>
<td><xsl:value-of select="@freq"/></td>
<td><xsl:value-of select="@amort"/></td>
<td><xsl:value-of select="@poids"/></td>
</tr>
</xsl:for-each>
</table>
<xsl:if test="modele/amort">
<h4>Modèle d'amortissement</h4>
<table width="270" border="1" cellspacing="0" cellpadding="0">
<tr><th>Amortissement</th><th>Coefficient</th></tr>
<tr><td>Externe</td><td>  <xsl:value-of select="modele/amort/@coeff0"/></td></tr>
<tr><td>Hystérétique </td><td>  <xsl:value-of select="modele/amort/@coeff1"/></td></tr>
<tr><td>Visqueux </td><td> <xsl:value-of select="modele/amort/@coeff2"/></td></tr>
</table>
</xsl:if>
<p/>
<div id="piedpage">
Fichier au format XML pour KUK<sup>&#xAE;</sup><br/><address><a href="http://pirouz.djoharian.free.fr/kuk/">http://pirouz.djoharian.free.fr/kuk/</a></address></div>
</body>
</html>

</xsl:template>
</xsl:stylesheet>

