<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" indent="yes" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="desc">

</xsl:template>

<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link type="text/css" rel="stylesheet" href="melody.css" />
<title><xsl:value-of select="melody/header/@title"/></title>
</head>
<body>
<h1><xsl:value-of select="melody/header/@title"/></h1>
<!-- <h2>Entête</h2>
-->
<!--
<h2>Liste des Intervalles</h2>
-->
<p>
<table width="600" border="1" cellspacing="0" cellpadding="0">
  <tr>
   <th scope="col">Date</th>
    <th scope="col">Degree</th>
    <th scope="col">Octave</th>	
    <th scope="col">Amplitude</th>
    <th scope="col">Duration</th>
  </tr>
  <xsl:for-each select="melody/music/note">
   <tr>
   <td><xsl:value-of select="@date"/></td>
<td><xsl:value-of select="@deg"/></td>
<td><xsl:value-of select="@oct"/></td>
<td><xsl:value-of select="@ampl"/></td>
<td><xsl:value-of select="@dur"/></td>
</tr>
</xsl:for-each>
</table>

<div id ="entete">Auteur : <b><xsl:value-of select="melody/header/@composer"/></b><br/>
Fichier d'intervalles : <xsl:value-of select="melody/header/@scale"/><br/>
Enveloppe :
<p>
<table width="200" border="1" cellspacing="0" cellpadding="0">
  <tr>
    <th scope="col">Time</th>
    <th scope="col">Amplitude</th>
  </tr>
<xsl:for-each select="melody/header/enveloppe/point">
   <tr>
<td><xsl:value-of select="@time"/></td>
<td><xsl:value-of select="@ampl"/></td>
</tr>
</xsl:for-each>
</table>
</p>

Description :<br/>
<div id="desc"><xsl:copy-of select="melody/header/description"/></div>
</div>
</p>
<div id="piedpage">
Fichier au format XML pour KUK<sup>&#xAE;</sup><br/><address><a href="http://pirouz.djoharian.free.fr/kuk/">http://pirouz.djoharian.free.fr/kuk/</a></address></div>
</body>
</html>

</xsl:template>

</xsl:stylesheet>

